Summary: The terminal feature database used by certain applications.
Name: termcap
Version: 10.2.7
Release: 1.0.2
Copyright: none
Group: System Environment/Base
Source0: http://www.tuxedo.org/~esr/terminfo/termtypes.tc.gz
Patch0: termcap-linuxlat.patch
Patch1: termcap-xtermchanges.patch
BuildArch: noarch

# XXX termcap used to be noarch but that is impossible with per-arch patches
%ifarch sparc
Obsoletes: termfiles_sparc
Provides: termfiles_sparc
%endif

BuildRoot: /var/tmp/%{name}-root

%description
The termcap package provides the /etc/termcap file.  /etc/termcap is a
database which defines the capabilities of various terminals and
terminal emulators.  Certain programs use the /etc/termcap file to
access various features of terminals (the bell, colors, and graphics,
etc.).

%prep
mkdir -p $RPM_BUILD_ROOT/etc
zcat $RPM_SOURCE_DIR/termtypes.tc.gz > $RPM_BUILD_ROOT/etc/termcap
(cd $RPM_BUILD_ROOT/etc;
%patch0 -p0 -b .linuxlat
%patch1 -p0 -b .xtermchanges
)
chmod 644 $RPM_BUILD_ROOT/etc/termcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/termcap

%changelog
* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- add end key mappings for linux console (fix /bin/vi)

* Sat Mar 04 2000 Preston Brown <pbrown@redhat.com>
- remove typo

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- shifted fkey 3-20 added for xterm

* Fri Feb 18 2000 Preston Brown <pbrown@redhat.com>
- xterm entries from XFree86 3.3.6.
- completely apply debian policy for backspace and delete.

* Sun Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix xterm (#9141)

* Tue Feb 01 2000 Preston Brown <pbrown@redhat.com>
- small patch from Hans for xterm (#8634), revert HJ fix.

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- sync the xterm entry with the XFree86 3.3.6 one

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add patch form Hans de Goede <hans@highrise.nl> to get the termcap
  descriptions in sync with the terminfo (ncurses) ones
- make it a noarch package

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 10.2.7 - this should finally fix the "telnet from FreeBSD to Linux"
  problem

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- xterm termcap patch from H.J. Lu; claims fixes xterm under 6.1

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- termcap used to be noarch but that is impossible with per-arch patches

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- merge sparc console termcap (from termfiles_sparc).

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- added linux-lat entry
- build rooted

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

